class InPatientAdvanceHistoryResponseModel {
  int? advanceNumber;
  int? errorCode;
  String? message;
  List<ResponseInpatientAdvanceInfo>? responseInpatientAdvanceInfo;
  int? statusCode;

  InPatientAdvanceHistoryResponseModel({this.advanceNumber, this.errorCode, this.message, this.responseInpatientAdvanceInfo, this.statusCode});

  InPatientAdvanceHistoryResponseModel.fromJson(Map<String, dynamic> json) {
    advanceNumber = json['advanceNumber'];
    errorCode = json['errorCode'];
    message = json['message'];
    if (json['responseInpatientAdvanceInfo'] != null) {
      responseInpatientAdvanceInfo = <ResponseInpatientAdvanceInfo>[];
      json['responseInpatientAdvanceInfo'].forEach((v) {
        responseInpatientAdvanceInfo!.add(new ResponseInpatientAdvanceInfo.fromJson(v));
      });
    }
    statusCode = json['statusCode'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['advanceNumber'] = this.advanceNumber;
    data['errorCode'] = this.errorCode;
    data['message'] = this.message;
    if (this.responseInpatientAdvanceInfo != null) {
      data['responseInpatientAdvanceInfo'] = this.responseInpatientAdvanceInfo!.map((v) => v.toJson()).toList();
    }
    data['statusCode'] = this.statusCode;
    return data;
  }
}

class ResponseInpatientAdvanceInfo {
  int? admissionNo;
  int? admissionReqNo;
  String? createdOn;
  int? patientId;
  int? projectId;
  num? requestedAmount;
  String? setupId;
  int? status;

  ResponseInpatientAdvanceInfo({this.admissionNo, this.admissionReqNo, this.createdOn, this.patientId, this.projectId, this.requestedAmount, this.setupId, this.status});

  ResponseInpatientAdvanceInfo.fromJson(Map<String, dynamic> json) {
    admissionNo = json['admissionNo'];
    admissionReqNo = json['admissionReqNo'];
    createdOn = json['createdOn'];
    patientId = json['patientId'];
    projectId = json['projectId'];
    requestedAmount = json['requestedAmount'];
    setupId = json['setupId'];
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['admissionNo'] = this.admissionNo;
    data['admissionReqNo'] = this.admissionReqNo;
    data['createdOn'] = this.createdOn;
    data['patientId'] = this.patientId;
    data['projectId'] = this.projectId;
    data['requestedAmount'] = this.requestedAmount;
    data['setupId'] = this.setupId;
    data['status'] = this.status;
    return data;
  }
}
